#
# spec file for package rubygem-launchy
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-launchy
Version:        2.5.0
Release:        1.17
%define mod_name launchy
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.4.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            http://github.com/copiousfreetime/launchy
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Launchy is helper class for launching cross-platform applications in
License:        ISC
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Launchy is helper class for launching cross-platform applications in a fire
and forget manner. There are application concepts (browser, email client, etc)
that are common across all platforms, and they may be launched differently on
each platform. Launchy is here to make a common approach to launching external
applications from within ruby programs.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="HISTORY.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.5.0
  see installed HISTORY.md
  [#]# Version 2.5.0 - 2020-02-27
  * Update depedencies
  * Update minimum ruby level
  * Move to `kde-open` on KDE - <https://github.com/copiousfreetime/launchy/pull/105> - wstephenson
  * Applied some grammer / spelling fixes - <https://github.com/copiousfreetime/launchy/pull/130> - jeremymoritz
  * `Pathname` instances do not raise exceptions when opening local files - <https://github.com/copiousfreetime/launchy/issues/101> - dmke
  * Add a fallback console browsers - <https://github.com/copiousfreetime/launchy/issues/93> - trejkaz
* Mon Feb  9 2015 coolo@suse.com
- updated to version 2.4.3
  * Update documentation - <https://github.com/copiousfreetime/launchy/pull/81> - supremebeing7
  * Fix launching of `exo-open` for XFCE - <https://github.com/copiousfreetime/launchy/issues/82> - dsandstrom
  * Add iceweasel as a fallback browser - <https://github.com/copiousfreetime/launchy/pull/92> -  jackturnbull
  * Reopen $stderr in really bad situation - <https://github.com/copiousfreetime/launchy/pull/77> - infertux
* Fri Nov 29 2013 coolo@suse.com
- updated to version 2.4.2
  * Fix kde issue - <https://github.com/copiousfreetime/launchy/issues/72>
* Wed Nov 27 2013 coolo@suse.com
- updated to version 2.4.1
  * Abstract out the argv of the commandline - <https://github.com/copiousfreetime/launchy/issues/71>
* Fri Nov 22 2013 coolo@suse.com
- updated to version 2.4.0
  * Support `Launchy.open( url, :debug => true )` - <http://github.com/copiousfreetime/launchy/issues/63> - schmich
  * Fix inconsistencies in `debug?` and `dry_run?` methods - <http://github.com/copiousfreetime/launchy/issues/63> - schmich
  * Fix detection of missing *nix desktops - <http://github.com/copiousfreetime/launchy/issues/70>
  * Fix running tests in bare Linux environment - <http://github.com/copiousfreetime/launchy/issues/67> - gioele
  * Fix mistaking windows drive as uri schema - <http://github.com/copiousfreetime/launchy/issues/65>
  * Attempt fixing windows `start` command oddities, again - <http://github.com/copiousfreetime/launchy/issues/62>
* Thu Jun 27 2013 coolo@suse.com
- fix usage of update-alternatives
* Wed Apr 17 2013 coolo@suse.com
- updated to version 2.3.0
  * Add the option to call a block on error instead of raising an exception
* Tue Feb 12 2013 coolo@suse.com
- updated to version 2.2.0
  * Change XFCE detection to not depend on grep (copiousfreetime/launchy#52 - thanks bogdan)
  * Suppress forked process output (copiousfreetime/launchy#51)
  * Display help/usage if no url is given (copiousfreetime/launchy#54)
  * Detect the fluxbox environment (copiousfreetime/launchy#53)
  * Automatically detect 'http' url's if they are missing the 'http://' (copiousfreetime/launchy#55)
  * Update to latest project management rake tasks
* Tue Aug  7 2012 coolo@suse.com
- updated to version 2.1.2
  * Fix where HostOS would fail to convert to string on JRuby in 1.9 mode (copiousfreetime/launchy#45)
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to 0.3.5
* Mon Mar 23 2009 mrueckert@suse.de
- update to 0.3.3
  * pass command line as discrete items to system() to avoid string
    interpretation by the system shell. (Suraj N. Kurapati)
  * rework project layout and tasks
* Mon Mar 23 2009 dmacvicar@suse.de
- initial package
